saml_identity_provider_create

Create SAML identity provider
post/v1/system/identity-providers/saml

Query Parameters

silo

Name or ID of the silo

Request Body

Create-time identity-related parameters

Object
acs_url

Service provider endpoint where the response will be sent

description

If set, SAML attributes with this name will be considered to denote a user's group membership, where the attribute value(s) should be a comma-separated list of group names.

idp_entity_id

IdP's entity ID

The source of an identity provider metadata descriptor

name

Names must begin with a lower case ASCII letter, be composed exclusively of lowercase ASCII, uppercase ASCII, numbers, and '-', and may not end with a '-'. Names cannot be a UUID, but they may contain a UUID. They can be at most 63 characters long.

Request signing key pair

Object
private_key

Request signing RSA private key in PKCS#1 format (base64 encoded DER file)

public_cert

Request signing public certificate (base64 encoded DER file)

slo_url

Service provider endpoint where the IdP should send log out requests

sp_client_id

SP's client ID

Customer's technical contact for SAML configuration

Responses

201

successful creation

Object
acs_url

Service provider endpoint where the response will be sent

description

Human-readable free-form text about a resource

If set, attributes with this name will be considered to denote a user's group membership, where the values will be the group names.

id

Unique, immutable, system-controlled identifier for each resource

idp_entity_id

IdP's entity id

name

Unique, mutable, user-controlled identifier for each resource

Names must begin with a lower case ASCII letter, be composed exclusively of lowercase ASCII, uppercase ASCII, numbers, and '-', and may not end with a '-'. Names cannot be a UUID, but they may contain a UUID. They can be at most 63 characters long.

Optional request signing public certificate (base64 encoded der file)

slo_url

Service provider endpoint where the idp should send log out requests

sp_client_id

SP's client id

Customer's technical contact for saml configuration

time_created

Timestamp when this resource was created

time_modified

Timestamp when this resource was last modified

4XX

Error

Object
message
request_id
5XX

Error

Object
message
request_id